Bug 990157 - (CVE-2013-4922) CVE-2013-4922 wireshark: Double-free in the DCOM ISystemActivator dissector (wnpa-sec-2013-44)
CVE-2013-4922 wireshark: Double-free in the DCOM ISystemActivator dissector (...
Status: CLOSED NOTABUG
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
medium Severity medium
: ---
: ---
Assigned To: Red Hat Product Security
impact=moderate,public=20130726,repor...
: Security
Depends On: 990202
Blocks: 990216
  Show dependency treegraph
 
Reported: 2013-07-30 09:49 EDT by Jan Lieskovsky
Modified: 2015-07-31 07:03 EDT (History)
5 users (show)

See Also:
Fixed In Version: Wireshark 1.10.1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-05 01:21:39 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Jan Lieskovsky 2013-07-30 09:49:19 EDT
Common Vulnerabilities and Exposures assigned an identifier CVE-2013-4922 to the following vulnerability:

Double free vulnerability in the dissect_dcom_ActivationProperties function in epan/dissectors/packet-dcom-sysact.c in the DCOM ISystemActivator dissector in Wireshark 1.10.x before 1.10.1 allows remote attackers to cause a denial of service (application crash) via a crafted packet.

References:
[1] http://anonsvn.wireshark.org/viewvc/trunk/epan/dissectors/packet-dcom-sysact.c?r1=50094&r2=50093&pathrev=50094
[2] http://anonsvn.wireshark.org/viewvc?view=revision&revision=50094
[3] http://www.wireshark.org/docs/relnotes/wireshark-1.10.1.html
[4] https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=8828
[5] https://www.wireshark.org/security/wnpa-sec-2013-44.html
Comment 1 Jan Lieskovsky 2013-07-30 10:49:10 EDT
Created wireshark tracking bugs for this issue:

Affects: fedora-19 [bug 990202]
Comment 2 Huzaifa S. Sidhpurwala 2013-08-05 01:21:39 EDT
Statement:

Not Vulnerable. This issue does not affect the version of wireshark, as shipped with Red Hat Enterprise Linux 5 and 6.

Note You need to log in before you can comment on or make changes to this bug.